Subject: Re: bug#67667: bug#68756: Uninstalling emacs does not remove Start Menu entries created during the installation

From: Eli Zaretskii <[email-masked]>
Date: Thu, 15 Feb 2024 21:30:53 +0200

> From: Corwin Brust <[email-masked]>
> Date: Thu, 15 Feb 2024 12:47:18 -0600
> Cc: [email-masked]
> 
> On Thu, Feb 15, 2024 at 12:27 PM Дилян Палаузов
> <[email-masked]> wrote:
> >
> > Hello Corwin,
> >
> > before installing emacs-29.2.50_bug#58756-installer.exe I have installed emacs-29.2-installer.exe . The latter has created a Start Menu group emacs 29.2 with two icons - emacs and uninstall. After installing emacs-29.2.50_bug#58756-installer.exe it creates separate Start Menu directory 29.2.50. The Start menu Emacs 29.2/uninstall disappears. After clicking Start Menu/emacs 29.2.50/uninstall the entry Emacs 29.2/uninstall appears again, but it is now dysfunctional. Apart from this, uninstalling 29.2.50 does remove the Start Menu entries it has created. I cannot test if two different versions work during install/uninstall as expected, since I have no two different versions which are at the same time “fixed”.
> >
> 
> Thank you very much for testing Дилян.  This is as I would expect: I
> won't be able to change the behavior of previously created installers.
> 
> For this reason we should probably put out some type of advisory that
> using executing any version of the installer published so far will
> unconditionally remove <program files>\Emacs and all version of Emacs
> therein.
> 
> Stefan, Eli,
> 
> Do you have thoughts on alerting users of the windows installer to
> this, and how we would best do that? (Is this a good candidate for
> PROBLEMS?)

No, PROBLEMS is not a good place, I think.

But why cannot you remove those old shortcuts/submenus when the new
Emacs version is installed?